DPGEN_NUL(3)

NAME
DPGEN_NUL - Zero Detector Macro-Generator

SYNOPSIS
#include <genlib.h>

void GENLIB_MACRO(
	DPGEN_NUL,
	char *modelname,
	long flags,
	long N
);
.SH "DESCRIPTION"

Generate a N bits zero detector named modelname.

  TERMINAL NAMES

1.  i0 : value to check (input, N bits).

2.  q : null flag (output, 1 bit).

3.  vdd : power.

4.  vss : ground.

  BEHAVIOR

q <= <= '1' WHEN (i0 = X"00000000") ELSE '0';

EXAMPLE

GENLIB_MACRO(DPGEN_NUL, "model_nul_32"
                      , F_BEHAV|F_PLACE
                      , 32
                      );
GENLIB_LOINS( "model_nul_32"
            , "instance1_nul_32"
            , "i0[31:0]"
            , "q"  /* Flag null. */
            , "vdd", "vss", NULL
            );

SEE ALSO

GENLIB_MACRO(3), genlib(1)